%%%-------------------------------------------------------------------
%%% @author liushl
%%% @doc
%%%
%%% @end
%%%-------------------------------------------------------------------
-author("liushl").

-record(role_war_soul, {
    collect         = [],       %% 收集信息
    collect_award   = 0,        %% 收集领奖进度
    array_id        = 0,        %% 当前激活的阵型id
    extra_power     = 0,        %% 额外战力
    passive_skills  = [],       %% 被动技能-- 只提供属性的技能不会保留下来
    attr            = [],       %% 属性汇总
    pos_list        = [1],      %% 阵位解锁
    total_power     = 0         %% 总战力
}).

-record(base_war_soul_info, {
    goods_id = 0,
    name = "",
    type = 0,
    kind = 0,
    color = 0,
    star = 0,
    attr = [],
    skill = 0,
    strength_limit = 0,
    order = 0
}).

-record(base_war_soul_strength, {
    color = 0,
    lv = 0,
    attr = [],
    cost = []
}).

-record(base_war_soul_evolution, {
    from_goods_id = 0,
    to_goods_id = 0,
    base_cost = [],
    extra_cost = []
}).

-record(base_war_soul_array, {
    array_id = 0,
    name = "",
    condition = 0,
    attr = []
}).